using Core.Abstractions.DomainObjects;
using Core.Enumerations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Core.DomainObjects.L10n {
  public class CategoryL10n : DomainObjectBase<CategoryL10n> {
    public Locales Locale { get; set; }
    public string Slug { get; set; }
    public string Text { get; set; }

    public override int GetHashCode() {
      unchecked {
        int hash = 17;
        hash = hash * 23 + Locale.GetHashCode();
        hash = hash * 23 + Slug.GetHashCode();
        hash = hash * 23 + Text.GetHashCode();
        return hash;
      }
    }
  }
}
